## kateenc kateenc |

## Properties

gchar * | category | Read / Write
gfloat | default-spu-duration | Read / Write
gint | granule-rate-denominator | Read / Write
gint | granule-rate-numerator | Read / Write
gint | granule-shift | Read / Write
gfloat | keepalive-min-time | Read / Write
gchar * | language | Read / Write
gint | original-canvas-height | Read / Write
gint | original-canvas-width | Read / Write

## Types and Values

struct | GstKateEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstKateEnc

## Implemented Interfaces

GstKateEnc implements GstTagSetter.

## Description

This element encodes Kate streams

Kate is a free codec

for text based data, such as subtitles. Any number of kate streams can be embedded in an Ogg stream.

libkate (see above url) is needed to build this plugin.

#### Example pipeline

This encodes a DVD SPU track to a Kate stream:

    1
    gst-launch-1.0 dvdreadsrc ! dvddemux ! dvdsubparse ! kateenc category=spu-subtitles ! oggmux ! filesink location=test.ogg

## Synopsis

### Element Information

plugin | kate
author | Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>
class | Codec/Encoder/Subtitle

### Element Pads

name | sink
direction | sink
presence | always
details | text/x-raw, format=(string){ pango-markup, utf8 }
| subpicture/x-dvd

name | src
direction | source
presence | always
details | subtitle/x-kate
| application/x-kate

## Functions

## Types and Values

### struct GstKateEnc

    struct GstKateEnc;

## Property Details

### The `“category”` property

      “category”                 gchar *

The category of the stream.

Flags: Read / Write

Default value: ""

### The `“default-spu-duration”` property

      “default-spu-duration”     gfloat

The assumed max duration (in seconds) of SPUs with no duration specified.

Flags: Read / Write

Allowed values: >= 0

Default value: 1.5

### The `“granule-rate-denominator”` property

      “granule-rate-denominator” gint

The denominator of the granule rate.

Flags: Read / Write

Allowed values: >= 1

Default value: 1000

### The `“granule-rate-numerator”` property

      “granule-rate-numerator”   gint

The numerator of the granule rate.

Flags: Read / Write

Allowed values: >= 1

Default value: 1

### The `“granule-shift”` property

      “granule-shift”            gint

The granule shift.

Flags: Read / Write

Allowed values: [0,64]

Default value: 32

### The `“keepalive-min-time”` property

      “keepalive-min-time”       gfloat

Minimum time to emit keepalive packets (0 disables keepalive packets).

Flags: Read / Write

Allowed values: >= 0

Default value: 2.5

### The `“language”` property

      “language”                 gchar *

The language of the stream (e.g. "fr" or "fr_FR" for French).

Flags: Read / Write

Default value: ""

### The `“original-canvas-height”` property

      “original-canvas-height”   gint

The height of the canvas this stream was authored for (0 is unspecified).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“original-canvas-width”` property

      “original-canvas-width”    gint

The width of the canvas this stream was authored for (0 is unspecified).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

## See Also

oggmux